Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Class OperationNotFoundException

    Object
      Throwable
          Exception
              FactoryException
                  OperationNotFoundException

All Implemented Interfaces:
  Serializable

    public class OperationNotFoundException

extends FactoryException

Thrown when a coordinate operation is not found. It may be because there is no known path between source and target coordinate reference systems, or because the requested operation is not available in the environment.

Since:
  GeoAPI 1.0
See Also:
  Serialized Form

Constructor Summary
`OperationNotFoundException()` Construct an exception with no detail message.
`OperationNotFoundException(String message)` Construct an exception with the specified detail message.
`OperationNotFoundException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationNotFoundException

    public OperationNotFoundException()

  Construct an exception with no detail message.

### OperationNotFoundException

    public OperationNotFoundException(String message)

  Construct an exception with the specified detail message.

  Parameters:
    `message` - The details message.

### OperationNotFoundException

    public OperationNotFoundException(String message,
                                      Throwable cause)

  Construct an exception with the specified detail message and cause.

  Parameters:
    `message` - The details message.
    `cause` - The cause for this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.